> For the complete documentation index, see [llms.txt](https://docs.motus.org/sensorgnome/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.motus.org/sensorgnome/v1/appendix/networkdrive.md).

# Accessing BeagleBone as a network drive

{% hint style="danger" %}
You are viewing the V1 Legacy SensorGnome user guide. This software has not been updated since 2018.
{% endhint %}

Once a BeagleBone is connected to your computer, you can access it as a shared network drive either in Windows Explorer or the Mac equivalent. Through this method you can copy detection data as well as modify configuration files. It may also be possible to access data files on a BB even if you cannot access the Web Interface or create an FTP connection.

This uses a connection protocol called SMBv1, which on newer versions of Windows has been disabled in favour of more secure version. You will likely have to re-enable this feature in order to access a BeagleBone as a networked drive.

There are instructions on doing that for Windows here: <https://www.windowscentral.com/how-access-files-network-devices-using-smbv1-windows-10>.

Once configured, you can navigate the file structure as you would any other drive by entering the following in the address bar: `\\192.168.7.2`

![Navigate to \\\192.168.7.2 in the address bar](/files/-MV2KQd-LxIQEEA8N51x)

The folder structure will look a bit different than in FileZilla and you will see three folders: boot, data, root. There is overlap between these folders and you will find the same detection data in both data and root folders. However configuration files can only modified in the root folder.

* **Detection data (SGdata) folder on the MicroSD card**
  * `\\192.168.7.2\root\media\internal_SD_card\SGdata`
* **Internal detection data folder (when MicroSD card is absent or can't be read)**
  * `\\192.168.7.2\root\media\internal_system_memory\SGdata`
* ***uboot*****&#x20;folder (configuration files)**
  * `\\192.168.7.2\root\boot\uboot\`

### Mapping the networked drive

You can save time in the future by "mapping" this new drive so it can be accessed more easily. Ensure that the BeagleBone is connected to your computer then open Windows Explorer. Click "This PC", then click "Map network drive".

![](/files/-MYGLPw4C1xXMTkSUFQB)

After selecting "Map network" drive you will be be able to assign a drive letter as shortcut to drive. It's most convenient to map the drive to `\\192.168.7.2\root` as that will allow you to download detection and modify configuration files.

![](/files/-MYGMvY_VXB-Ceim3Lz6)

Once configured, you can access the folder by clicking on the link in Windows Explorer.

![](/files/-MYGO_Qd4pvoFJHmAzQb)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.motus.org/sensorgnome/v1/appendix/networkdrive.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
